#
# spec file for package python-pynput
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}

Name:           python-pynput
Version:        1.8.1
Release:        1.1
Summary:        Monitor and control user input devices
License:        LGPL-3.0-only
URL:            https://github.com/moses-palmer/pynput
Source:         https://files.pythonhosted.org/packages/source/p/pynput/pynput-%{version}.tar.gz
BuildRequires:  %{python_module Sphinx >= 1.3.1}
BuildRequires:  %{python_module pip}
# this is part of the auto generated spec file, but opensuse
# BuildRequires:  %%{python_module setuptools-lint >= 0.5}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module evdev}
BuildRequires:  %{python_module python-xlib}
BuildRequires:  %{python_module six}
BuildRequires:  %{python_module wheel}
BuildRequires:  python-rpm-macros
# SECTION test requirements
# /SECTION
BuildRequires:  fdupes
Requires:       python-evdev >= 1.3
Requires:       python-six
Suggests:       python-enum34
Suggests:       python-pyobjc-framework-ApplicationServices >= 8.0
Suggests:       python-pyobjc-framework-Quartz >= 8.0
BuildArch:      noarch
%python_subpackages

%description
Monitor and control user input devices

%prep
%autosetup -p1 -n pynput-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.rst
%license COPYING.LGPL
%{python_sitelib}/pynput
%{python_sitelib}/pynput-%{version}.dist-info

%changelog
* Mon Apr 28 2025 Dirk Müller <dmueller@suse.com>
- update to 1.8.1:
  * Remove incorrectly merged line for the *Xorg* backend.
  * Let events know about the new ``injected`` parameter.
  * Add a flag to callbacks to allow detecting injected input
    events.
  * Add ``media_stop`` key for *macOS*. Thanks to *laura-3*!
  * Add ``eject`` key for *macOS*. Thanks to *DiMNDev*!
  * Rename method for listeners to not conflict with new
    ``threading.Thread`` field.
  * Small corrections to the documentation.
  * Handle explicit timeout when calling ``join`` on listeners.
  * Correct regression in hot key handling for special keys.
  * Reverted changes to lazy loading of ``CoreFoundation`` and
    ``Quartz``, since this still does not appear to work.
  * Let the type of values in ``Key`` be ``KeyCode`` so that type
    checkers are not confused.
  * Do not crash in ``__del__`` on *Xorg* if display creation fails.
* Wed Aug 16 2023 Dominique Leuenberger <dimstar@opensuse.org>
- Fix dependencies: do not ever use python_module in requires, as
  it expands to all python flavors.
* Sun Aug 13 2023 Greg Freemyer <Greg.Freemyer@gmail.com>
- boo#1214205 shows the spec file has some serious issues
- This package was not using the latest python packaging guidelines
- I basically re-did it from scratch
- Remove unused patches:
  - unicode.patch
  - no-setuptools-lint.patch
* Fri Apr 28 2023 Frederic Crozat <fcrozat@suse.com>
- Update to 1.7.6
- Ship license as part of generated packages.
- Do not try to build on python2 and simplify Suggests list.
- Only build on primary python.
* Mon Aug  2 2021 Simon Lees <sflees@suse.de>
- Update to 1.7.3 and prep for factory inclusion
  * Add no-setuptools-lint.patch from suggestion on #opensuse-python
* Wed Apr  3 2019 Lars Vogdt <lars@linux-schulserver.de>
- initial version 1.4.2
